Bug 567038 - Review Request: perl-Mixin-ExtraFields - Add extra stashes of data to your objects
Summary: Review Request: perl-Mixin-ExtraFields - Add extra stashes of data to your ob...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Mixin-Ext...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 08:36 UTC by Iain Arnell
Modified: 2010-03-06 03:55 UTC (History)
2 users (show)

Fixed In Version: perl-Mixin-ExtraFields-0.008-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-05 03:35:48 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-02-21 08:36:27 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Mixin-ExtraFields.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Mixin-ExtraFields-0.008-1.fc14.src.rpm

Description:
Mixin::ExtraFields provides a simple way to add an arbitrary number of stashes
for named data.  These data can be stored in the object, in a database, or
anywhere else.  The storage mechanism is abstracted away from the provided
interface, so one storage mechanism can be easily swapped for another.
Multiple ExtraFields stashes can be mixed into one class, using one or many
storage mechanisms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2002512

*rt-0.10_01

Comment 1 Chris Weyl 2010-02-21 20:29:12 UTC
Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2002512

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
eba1e840aa203bdf3d448509a5fd060c8d193e55 Mixin-ExtraFields-0.008.tar.gz
eba1e840aa203bdf3d448509a5fd060c8d193e55 Mixin-ExtraFields-0.008.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Mixin-ExtraFields-0.008-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Mixin-ExtraFields-0.008-1.fc14.noarch.rpm
perl(Mixin::ExtraFields) = 0.008
perl-Mixin-ExtraFields = 0.008-1.fc14
perl(Mixin::ExtraFields::Driver) = 0.008
perl(Mixin::ExtraFields::Driver::HashGuts) = 0.008
====> requires for perl-Mixin-ExtraFields-0.008-1.fc14.noarch.rpm
perl(base)  
perl(Carp)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(String::RewritePrefix)  
perl(Sub::Exporter)  
perl(Sub::Install)  
perl(warnings)  

=====> perl-Mixin-ExtraFields-0.008-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Mixin-ExtraFields-0.008-1.fc14.src.rpm
====> requires for perl-Mixin-ExtraFields-0.008-1.fc14.src.rpm
perl(ExtUtils::MakeMaker)  
perl(String::RewritePrefix)  
perl(Sub::Exporter) >= 0.972
perl(Sub::Install)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

APPROVED

Comment 2 Iain Arnell 2010-02-21 21:43:42 UTC
New Package CVS Request
=======================
Package Name: perl-Mixin-ExtraFields
Short Description: Add extra stashes of data to your objects
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-02-22 21:32:30 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-02-23 04:11:53 UTC
perl-Mixin-ExtraFields-0.008-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Mixin-ExtraFields-0.008-1.fc13

Comment 5 Fedora Update System 2010-02-23 04:11:58 UTC
perl-Mixin-ExtraFields-0.008-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Mixin-ExtraFields-0.008-1.fc12

Comment 6 Fedora Update System 2010-02-23 04:12:03 UTC
perl-Mixin-ExtraFields-0.008-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Mixin-ExtraFields-0.008-1.fc11

Comment 7 Fedora Update System 2010-02-23 16:06:01 UTC
perl-Mixin-ExtraFields-0.008-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Mixin-ExtraFields'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2640

Comment 8 Fedora Update System 2010-02-24 06:01:18 UTC
perl-Mixin-ExtraFields-0.008-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Mixin-ExtraFields'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2715

Comment 9 Fedora Update System 2010-02-24 06:02:09 UTC
perl-Mixin-ExtraFields-0.008-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Mixin-ExtraFields'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2724

Comment 10 Fedora Update System 2010-03-05 03:35:43 UTC
perl-Mixin-ExtraFields-0.008-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-06 03:50:53 UTC
perl-Mixin-ExtraFields-0.008-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-06 03:55:34 UTC
perl-Mixin-ExtraFields-0.008-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.